## org.biojava.bio.gui
Class DNAStyle

    java.lang.Object
      |
      +--org.biojava.bio.gui.DNAStyle

public class DNAStyle
extends java.lang.Object
implements SymbolStyle

A simple implementation of SymbolStyle optimized for DNA.

Author:
  Matthew Pocock

Constructor Summary
`DNAStyle()`

Method Summary
`java.awt.Paint` `fillPaint(Symbol r)` Return the fill paint for a symbol.
`java.awt.Paint` `outlinePaint(Symbol r)` Return the outline paint for a symbol.
`void` `setFillPaint(Symbol r, java.awt.Paint paint)`
`void` `setOutlinePaint(Symbol r, java.awt.Paint paint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNAStyle

    public DNAStyle()

Method Detail

### outlinePaint

    public java.awt.Paint outlinePaint(Symbol r)
                                throws IllegalSymbolException

  Description copied from interface: SymbolStyle
  Return the outline paint for a symbol.
  Specified by:
    outlinePaint in interface SymbolStyle
  Tags copied from interface: SymbolStyle
  Parameters:
    `r` - the symbol to outline
  Returns:
    the Paint to use
  Throws:
    IllegalSymbolException - if this SymbolStyle can not handle the symbol

### fillPaint

    public java.awt.Paint fillPaint(Symbol r)
                             throws IllegalSymbolException

  Description copied from interface: SymbolStyle
  Return the fill paint for a symbol.
  Specified by:
    fillPaint in interface SymbolStyle
  Tags copied from interface: SymbolStyle
  Parameters:
    `r` - the symbol to fill
  Returns:
    the Paint to use
  Throws:
    IllegalSymbolException - if this SymbolStyle can not handle the symbol

### setOutlinePaint

    public void setOutlinePaint(Symbol r,
                                java.awt.Paint paint)
                         throws IllegalSymbolException

### setFillPaint

    public void setFillPaint(Symbol r,
                             java.awt.Paint paint)
                      throws IllegalSymbolException